---
lang: en
title: 'API docs: repository.countschema'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.countschema.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CountSchema](./repository.countschema.md)

## CountSchema variable

JSON Schema describing the Count interface. It's the response type for REST calls to APIs which return `count`<!-- -->. The type is compatible with `SchemaObject` from `@loopback/openapi-v3`<!-- -->, which is not an explicit dependency for `@loopback/repository`<!-- -->.

**Signature:**

```typescript
CountSchema: {
    type: "object";
    title: string;
    'x-typescript-type': string;
    properties: {
        count: {
            type: "number";
        };
    };
}
```

